Public Member Functions

# LZOSaveFilter Struct Reference

Filter using LZO compression. More...

Inheritance diagram for LZOSaveFilter:

## Public Member Functions
| LZOSaveFilter (SaveFilter *chain, byte compression_level)
| Initialise this filter.
void | Write (byte *buf, size_t size)
| Write a given number of bytes into the savegame.

## Detailed Description

Filter using LZO compression.

Definition at line 1924 of file saveload.cpp.

## Constructor & Destructor Documentation

LZOSaveFilter::LZOSaveFilter | ( | SaveFilter * | chain,
|  | byte | compression_level |
| ) |  |  | `[inline]`

Initialise this filter.

Parameters:

  | chain | The next filter in this chain.
  | compression_level | The requested level of compression.

Definition at line 1930 of file saveload.cpp.

References SlError().

## Member Function Documentation

void LZOSaveFilter::Write | ( | byte * | buf,
|  | size_t | len |
| ) |  |  | `[inline, virtual]`

Write a given number of bytes into the savegame.

Parameters:

  | buf | The bytes to write.
  | len | The number of bytes to write.

Implements SaveFilter.

Definition at line 1935 of file saveload.cpp.

References SaveFilter::chain, and SaveFilter::Write().

The documentation for this struct was generated from the following file:

- src/saveload/saveload.cpp